<template>
  <div class="mx-auto min-h-screen bg-gray-200 flex flex-col justify-between">
    <figure class="flex justify-center">
      <img class="logo" src="@/shared/assets/JoinBrands-Logo.png" alt="Join Brands Logo">
    </figure>
    <main class="cointainer min-h-full flex justify-center items-center flex-col drop-shadow-lg">
      <div class="container--main h-2/6 w-2/5 bg-white p-4">
      <h1 class="text-2xl">Examen de Vue.js para Joinbrands</h1>
        <ul class="pt-4">
          <li class="pb-4">
            <router-link class="py-2 px-4 bg-blue-500 text-white font-semibold rounded-lg shadow-md hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-blue-400 focus:ring-opacity-75" to="/sing-in">Login</router-link>
          </li>
          <li>
            <router-link class="py-2 px-4 bg-blue-500 text-white font-semibold rounded-lg shadow-md hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-blue-400 focus:ring-opacity-75" to="/sing-up">Sing up</router-link>
          </li>
        </ul>
      </div>
    </main>
    <footer>
      <p class="font-bold">	&reg; Hugo Casildo</p>
    </footer>
  </div>
</template>

<script lang="ts">
import { Options, Vue } from 'vue-class-component';

@Options({
  components: {
  },
})
export default class HomeView extends Vue {}
</script>

<style lang="sass" scoped>
@import '../../shared/sass/colors.sass'
.logo
  height: 120px
  width: auto
footer
  color: $white
  padding: 1.5em 0
  background: $blue
</style>
